<%@ page language="java"
         contentType="application/javascript;charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/taglibs.jspf" %>
<%--
  ~ Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
  ~ QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
  --%>

<%--@elvariable id="actionBean" type="com.quartzdesk.web.extjs.js.JsApplicationConfigAction"--%>

/**
 * Dynamically generated singleton that exposes the application configuration.
 */
Ext.define( 'QDesk.ApplicationConfig', {
  singleton : true,

  data : ${actionBean.entriesJson},

  /**
   * Returns the value of the specified application configuration entry.
   * @param key an configuration entry key.
   * @return the configuration entry value.
   */
  get : function ( key )
  {
    var me = this;
    var entryValue = me.data[key];
    if ( entryValue == null )
    {
      //Ext.Error.raise( 'Undefined application configuration entry key: ' + key );
      QDesk.Log.error( 'Undefined application configuration entry key: ' + key );
    }
    return entryValue;
  }
} );
