<%@ page language="java"
         contentType="application/javascript;charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/taglibs.jspf" %>
<%--
  ~ Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
  ~ QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
  --%>

<%--@elvariable id="actionBean" type="com.quartzdesk.web.extjs.js.JsPropertiesAction"--%>

<%--
  JSP page used by the {@link com.quartzdesk.web.extjs.js.PropertiesAction}
  to dynamically generate the ExtJS-based QDesk.Properties class.
--%>
/**
 * Dynamically generated singleton that provides access to the QuartzDesk properties
 * (default-quartzdesk-web.properties, quartzdesk-web.properties) configuration values.
 */
Ext.define('QDesk.Properties',
{
  singleton: true,

  data : ${actionBean.propertiesJson},

  /**
    * Returns the value of the specified QuartzDesk configuration property entry.
    * @param key a configuration entry key.
    * @return the configuration entry value.
    */
   get : function ( key )
   {
     var me = this;
     var entryValue = me.data[key];
     if ( entryValue == null )
     {
       //Ext.Error.raise( 'Undefined configuration entry key: ' + key );
       QDesk.Log.error( 'Undefined QuartzDesk property with key: ' + key );
     }
     return entryValue;
   }
});
