/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Opens the License window.
 */
Ext.define( 'QDesk.controller.command.ViewLicenseInfo', {
  extend : 'QDesk.controller.command.BaseCommand',

  requires : [
    'QDesk.Msg',
    'QDesk.util.StoreUtils',
    'QDesk.util.UxUtils',
    'QDesk.view.work.license.LicenseWindow'
  ],


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    me.callParent( [ config ] );
  },


  execute : function ()
  {
    var me = this;

    me.mask( QDesk.Msg.get( 'QDesk.controller.command.ViewLicenseInfo.maskLicenseDataLoad' ) );

    var licenseWindow = Ext.widget( 'LicenseWindow' );

    var generalInfoStore = licenseWindow.down( '#generalInfoTree' ).getStore();
    var featuresInfoStore = licenseWindow.down( '#featuresInfoTree' ).getStore();

    // when all stores are loaded, show the license window, or the error dialog..
    QDesk.util.StoreUtils.onAllStoresLoad( [ generalInfoStore, featuresInfoStore ],
        function ( successful, firstFailedOperation )
        {
          me.unmask();

          if ( successful )
          {
            licenseWindow.show();

            // invoke the success callback handler
            if ( me.success && Ext.isFunction( me.success ) )
            {
              me.success.apply( me );
            }
          }
          else
          {
            QDesk.util.UxUtils.showExtJsOperationError( firstFailedOperation, me.failure );
          }
        }, me );

    licenseWindow.down( '#closeButton' ).on( 'click',
        function ()
        {
          licenseWindow.close();
        } );
  }
} );
