/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Refreshes the ServiceEndpointsTab panel.
 */
Ext.define( 'QDesk.controller.command.system.ws.RefreshServiceEndpointsTab', {
  extend : 'QDesk.controller.command.BaseCommand',

  requires : [
    'QDesk.controller.command.system.ws.RefreshServiceEndpointsGrid'
  ],

  /**
   * Required config parameter with the ServiceEndpointsTab panel.
   */
  panel : undefined,


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.panel )
      Ext.Error.raise( 'Required config parameter missing: panel' );

    me.callParent( [ config ] );
  },


  execute : function ()
  {
    var me = this;

    // refreshes the ServiceEndpointsGrid in the specified ServiceEndpointsPanel
    Ext.create( 'QDesk.controller.command.system.ws.RefreshServiceEndpointsGrid', {
      panel : me.panel
    } ).execute();
  }
} );
