/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The message data model based on the {@link Message} class.
 */
Ext.define( 'QDesk.model.message.Message', {
  extend : 'Ext.data.Model',

  requires : [
    'QDesk.util.constant.DateFormat'
  ],

  fields : [
    { name : 'id', type : 'int', allowNull : true },

    { name : 'schedulerObjectName', type : 'string' },

    /*
     * See com.quartzdesk.domain.model.enums.MessageChannel.
     */
    { name : 'channelProfileChannel', type : 'string' },
    { name : 'channelProfileName', type : 'string' },
    { name : 'channelProfileId', type : 'int', allowNull : true },

    { name : 'toAddr', type : 'string' },
    { name : 'subject', type : 'string' },
    { name : 'body', type : 'string' },

    /*
     * See QDesk.model.message.MessageStatus.
     */
    { name : 'status', type : 'string' },

    { name : 'correlationId', type : 'string' },

    { name : 'creatorId', type : 'int', allowNull : true },
    { name : 'creatorName', type : 'string' },

    /*
     * See QDesk.model.message.MessageCreatorType.
     */
    { name : 'creatorType', type : 'string' },

    /* FormattedTimestamp value */
    { name : 'createdAt', type : 'auto' },
    { name : 'createdBy', type : 'string' },

    /* FormattedTimestamp value */
    { name : 'postponedTill', type : 'auto', allowNull : true },

    /* FormattedTimestamp value */
    { name : 'processingStartedAt', type : 'auto', allowNull : true },
    /* FormattedTimestamp value */
    { name : 'processingFinishedAt', type : 'auto', allowNull : true },
    { name : 'processedBy', type : 'string' },

    { name : 'errorCount', type : 'int', allowNull : true },
    { name : 'maxErrorCount', type : 'int', allowNull : true },

    /* FormattedTimestamp value */
    { name : 'lastErrorAt', type : 'auto', allowNull : true },
    { name : 'lastErrorDesc', type : 'string' },

    { name : 'attachment', type : 'auto' }
  ]
} );