/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The Quartz notification rule data model based on the
 * {@link com.quartzdesk.domain.model.scheduler.quartz.QuartzExecNotificationRule} class.
 */
Ext.define( 'QDesk.model.scheduler.quartz.QuartzExecNotificationRule', {
  extend : 'Ext.data.Model',

  requires : [
    'QDesk.util.constant.DateFormat'
  ],

  fields : [
    { name : 'id', type : 'int', allowNull : true },

    /* FormattedTimestamp value */
    { name : 'createdAt', type : 'auto' },
    /* FormattedTimestamp value */
    { name : 'updatedAt', type : 'auto' },

    { name : 'name', type : 'string' },
    { name : 'description', type : 'string' },

    /*
     * See com.quartzdesk.domain.model.enums.NotificationSeverity
     * RECOVERY, INFO, WARNING, ERROR, FATAL
     */
    { name : 'severity', type : 'string' },

    { name : 'enabled', type : 'boolean' },
    { name : 'enabledFromTime', type : 'string', allowNull : true },
    { name : 'enabledToTime', type : 'string', allowNull : true },

    /* List of QDesk.model.common.Weekday */
    { name : 'enabledOnWeekday', type : 'auto' },

    { name : 'schedulerObjectName', type : 'string' },

    { name : 'jobGroupName', type : 'string' },
    { name : 'jobName', type : 'string' },

    { name : 'triggerGroupName', type : 'string' },
    { name : 'triggerName', type : 'string' },

    /*
     * See com.quartzdesk.domain.model.enums.scheduler.NotificationConditionType
     * EXEC_STATUS, MAX_DURATION, EXPRESSION
     */
    { name : 'conditionType', type : 'string' },

    /*
     * See com.quartzdesk.domain.model.enums.ExecStatus
     * SUCCESS, ERROR, VETO
     */
    { name : 'conditionExecStatus', type : 'string' },
    { name : 'conditionMaxDuration', type : 'int', allowNull : true },
    /*
     * See com.quartzdesk.domain.model.common.Expression
     */
    { name : 'conditionExpression', type : 'auto', allowNull : true },

    /*
     * See com.quartzdesk.domain.model.enums.MessageChannel
     */
    { name : 'messageChannelProfileChannel', type : 'string' },
    { name : 'messageChannelProfileName', type : 'string' },
    { name : 'messageChannelProfileId', type : 'int', allowNull : true },

    { name : 'messageToAddr', type : 'string', allowNull : true },

    { name : 'messageSubjectTemplate', type : 'string', allowNull : true },
    { name : 'messageBodyTemplate', type : 'string' },

    { name : 'messageAttachLog', type : 'boolean' },
    { name : 'messageAttachError', type : 'boolean' },
    { name : 'messageAttachResult', type : 'boolean' },
    { name : 'messageAttachUserData', type : 'boolean' },

    /* Message channel specific configuration values */
    { name : 'messageChannelConfig', type : 'auto' }
    /*
     / EMAIL /
     { name : 'emailSmtpHost', type : 'string' },
     { name : 'emailSmtpPort', type : 'int' },
     { name : 'emailUsername', type : 'string' },
     { name : 'emailPassword', type : 'string' },

     / IM_AIM /
     { name : 'imAimUsername', type : 'string' },
     { name : 'imAimPassword', type : 'string' },

     / IM_GTALK /
     { name : 'imGTalkUsername', type : 'string' },
     { name : 'imGTalkPassword', type : 'string' },

     / IM_ICQ /
     { name : 'imIcqUsername', type : 'string' },
     { name : 'imIcqPassword', type : 'string' },

     / IM_XMPP /
     { name : 'imXmppHost', type : 'string' },
     { name : 'imXmppPort', type : 'string' },
     { name : 'imXmppUsername', type : 'string' },
     { name : 'imXmppPassword', type : 'string' },

     / IM_YAHOO /
     { name : 'imYahooUsername', type : 'string' },
     { name : 'imYahooPassword', type : 'string' },

     / WEB_SERVICE /
     { name : 'webServiceEndpoint', type : 'string' },
     { name : 'webServiceUsername', type : 'string' },
     { name : 'webServicePassword', type : 'string' }
     */
  ]
} );
