/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The Quartz misfired trigger data model based on the
 * {@link com.quartzdesk.domain.model.scheduler.quartz.QuartzMisfiredTrigger} class.
 */
Ext.define( 'QDesk.model.scheduler.quartz.QuartzMisfiredTrigger', {
  extend : 'Ext.data.Model',

  requires : [
    'QDesk.util.constant.DateFormat'
  ],

  fields : [
    { name : 'id', type : 'int', allowNull : true },

    /* FormattedTimestamp value */
    { name : 'detectedAt', type : 'auto' },

    /* FormattedTimestamp value */
    { name : 'missedFireTime', type : 'auto' },

    { name : 'schedulerName', type : 'string' },
    { name : 'schedulerInstanceId', type : 'string' },
    { name : 'schedulerObjectName', type : 'string' },
    { name : 'schedulerVersion', type : 'auto' },

    { name : 'triggerGroupName', type : 'string' },
    { name : 'triggerName', type : 'string' },
    { name : 'triggerType', type : 'string' },
    { name : 'triggerJobDataMap', type : 'auto', allowNull : true },

    { name : 'triggerMisfireInstruction', type : 'int' },

    { name : 'jobGroupName', type : 'string' },
    { name : 'jobName', type : 'string' },


    /*
     * See QDesk.model.scheduler.quartz.QuartzMisfiredTriggerRefireStatus
     */
    { name : 'refireStatus', type : 'string' },
    { name : 'refireEhId', type : 'int', allowNull : true },
    /* FormattedTimestamp value */
    { name : 'refireEhStartedAt', type : 'auto', allowNull : true },
    /* FormattedTimestamp value */
    { name : 'refireEhFinishedAt', type : 'auto', allowNull : true },

    /*
     * See com.quartzdesk.domain.model.enums.ExecStatus
     */
    { name : 'refireEhExecStatus', type : 'string', allowNull : true },

    /*
     * See com.quartzdesk.domain.model.enums.scheduler.ExecType
     */
    { name : 'refireEhExecType', type : 'string', allowNull : true },

    { name : 'refireEhTriggerGroupName', type : 'string', allowNull : true },
    { name : 'refireEhTriggerName', type : 'string', allowNull : true },
    { name : 'refireEhJobDataMap', type : 'auto', allowNull : true },

    { name : 'hostName', type : 'string' },

    { name : 'jvmPid', type : 'int', allowNull : true },
    { name : 'jvmName', type : 'string' },
    { name : 'jvmVendor', type : 'string' },
    { name : 'jvmVersion', type : 'string' },
    { name : 'jvmRuntimeVersion', type : 'string' },

    { name : 'osName', type : 'string' },
    { name : 'osVersion', type : 'string' },
    { name : 'osArch', type : 'string' },

    { name : 'jobChainId', type : 'int', allowNull : true },
    { name : 'jobChainFlowId', type : 'string', allowNull : true },
    { name : 'jobChainSrcExecHistoryId', type : 'int', allowNull : true }
  ]
} );
