/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The user data model based on the com.quartzdesk.domain.model.security.UserStub class.
 */
Ext.define( 'QDesk.model.security.UserStub', {
  extend : 'Ext.data.Model',

  requires : [
    'QDesk.util.constant.DateFormat'
  ],

  fields : [
    { name : 'id', type : 'int' },

    { name : 'externalId', type : 'string', allowNull : true },

    { name : 'username', type : 'string' },

    { name : 'system', type : 'boolean' },

    /*
     * See QDesk.model.security.UserAccountStatus.
     */
    { name : 'accountStatus', type : 'string' },

    /*
     * See QDesk.model.security.UserAccountLockReason.
     */
    { name : 'accountLockReason', type : 'string', allowNull : true },
    /* FormattedTimestamp value */
    { name : 'accountLockedAt', type : 'auto', allowNull : true },
    /* FormattedTimestamp value */
    { name : 'accountLockedTill', type : 'auto', allowNull : true },

    { name : 'firstName', type : 'string' },
    { name : 'surname', type : 'string' },
    { name : 'email', type : 'string' },

    /*
     * See QDesk.model.security.UserAvatarType.
     */
    { name : 'avatarType', type : 'string' },
    { name : 'avatarUrl', type : 'string', allowNull : true },

    { name : 'displayName', type : 'string' }
  ]
} );
