/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The user data model based on the com.quartzdesk.domain.model.system.ws.ServiceEndpoint class.
 */
Ext.define( 'QDesk.model.system.ws.ServiceEndpoint', {
  extend : 'Ext.data.Model',

  requires : [],

  fields : [
    { name : 'id', type : 'number', allowNull : false },

    /* Version value */
    { name : 'version', type : 'auto', allowNull : false },

    { name : 'url', type : 'string', allowNull : false },
    { name : 'wsdlUrl', type : 'string', allowNull : false },
    { name : 'wsdlPath', type : 'string', allowNull : false },

    { name : 'serverImplClass', type : 'string', allowNull : false },
    { name : 'clientImplClass', type : 'string', allowNull : false },

    /*
     * See QDesk.model.system.ws.ServiceEndpointStatus
     */
    { name : 'status', type : 'string', allowNull : false },

    { name : 'deprecated', type : 'boolean', allowNull : false },

    { name : 'requiresAuthentication', type : 'boolean', allowNull : false },

    /*
     * An array of QDesk.model.security.Permission instances.
     */
    { name : 'requiresAllPermission', type : 'auto', allowNull : true },

    /*
     * An array of QDesk.model.security.Permission instances.
     */
    { name : 'requiresAnyPermission', type : 'auto', allowNull : true },

    /*
     * An array of QDesk.model.system.ws.ServiceEndpointOperation instances.
     */
    { name : 'operation', type : 'auto', allowNull : true }
  ]
} );