/**
 * JSON encoded Date instances are serialized using the ISO8601 format without the time zone.
 */
Ext.define( 'QDesk.overrides.JSON', {
  override : 'Ext.JSON',

  /**
   * Invoked by Ext.encode to encode Date values. This method is only invoked if Ext.USE_NATIVE_JSON is set to false
   * or if the browser does not provide JSON.stringify method.
   * @param d a Date value.
   * @returns {string} the formatted date.
   */
  encodeDate : function ( d )
  {
    return '"' + d.toJSON() + '"';
  }
} );