/*
 * Tooltip in label support for form field containers.
 * Inspired by http://www.sencha.com/forum/showthread.php?19301
 */
Ext.define( 'QDesk.overrides.form.FieldContainer', {
  override : 'Ext.form.FieldContainer',

  afterRender : function ()
  {
    var label = null;
    if ( this.fieldTooltip )
    {
      label = this._findTitle( this, 'label.x-form-item-label span.x-form-item-label-inner' );
      this._maybeAddToolTipToTitle( label, this.fieldTooltip );
    }

    this.callSuper();
  },

  _findTitle : function ( fieldContainer, selector )
  {
    var matchedEls = fieldContainer.getEl().select( selector );
    if ( matchedEls )
    {
      var matchedLabelEls = matchedEls.child( 'label' );
      // we need to get the first matched label - this is because a fieldcontainer can contain a nested fieldcontainer that also contains the label...
      return matchedLabelEls ? matchedLabelEls.first() : null;
    }
    return null;
  },

  _maybeAddToolTipToTitle : function ( label, tooltipText )
  {
    if ( label )
    {
      label.createChild( {
        tag : 'img',
        src : 'images/icon/tooltip-10x10.png',
        style : 'margin-bottom: -1px; margin-left: 5px; padding: 0px; width: 10px; height: 10px;',
        'data-qtip' : Ext.htmlEncode( tooltipText )
      } );
    }
  }
} );
