/*
 * Tooltip in label support for form field sets.
 * Inspired by http://www.sencha.com/forum/showthread.php?19301
 */
Ext.define( 'QDesk.overrides.form.FieldSet', {
  override : 'Ext.form.FieldSet',

  afterRender : function ()
  {
    var headerDiv = null;
    if ( this.tooltip )
    {
      headerDiv = this._findHeaderDiv( this, 'div.x-fieldset-header-text' );
      this._maybeAddToolTipToHeaderDiv( headerDiv, this.tooltip );
    }

    this.callSuper();
  },

  _findHeaderDiv : function ( fieldSet, selector )
  {
    var matchedEls = fieldSet.getEl().select( selector );
    if ( matchedEls )
    {
      var matchedDivEls = matchedEls.child( 'div' );
      // we need to get the first matched div - this is because a fieldset can contain a nested fieldset that also contains the div...
      return matchedDivEls ? matchedDivEls.first() : null;
    }
    return null;
  },

  _maybeAddToolTipToHeaderDiv : function ( headerDiv, tooltipText )
  {
    if ( headerDiv )
    {
      headerDiv.createChild( {
        tag : 'img',
        src : 'images/icon/tooltip-10x10.png',
        style : 'margin-bottom: -1px; margin-left: 5px; padding: 0px; width: 10px; height: 10px;',
        'data-qtip' : Ext.htmlEncode( tooltipText )
      } );
    }
  }
} );
