/*
 * Forms are validated after rendering so that invalid fields are immediately visually
 * distinguished.
 *
 * Form validation also occurs upon form field change.
 */
Ext.define( 'QDesk.overrides.form.Panel', {
  override : 'Ext.form.Panel',

  initComponent : function ()
  {
    var me = this;

    me.callParent( arguments );

    me.on( 'afterrender', function ()
    {
      me.isValid();
    } );

    Ext.each( Ext.ComponentQuery.query( 'field', me ), function ( field )
    {
      field.on( 'change', function ()
      {
        me.isValid();
      } );
    } );
  }
} );
