/*
 * This fixes the problem with the time field ignoring the seconds and milliseconds by
 * setValue( Date ).
 *
 * Sencha does not seem to consider this a bug, but we do. This problem is reported at
 * http://www.sencha.com/forum/showthread.php?275972-TimeField-don-t-consider-the-seconds-and-milliseconds
 */
Ext.define( 'QDesk.overrides.form.field.Time', {
  override : 'Ext.form.field.Time',

  getInitDate : function ( hours, minutes, seconds, milliseconds )
  {
    var parts = this.initDateParts;
    return new Date( parts[ 0 ], parts[ 1 ], parts[ 2 ], hours || 0, minutes || 0, seconds || 0,
        milliseconds || 0 );
  },

  setValue : function ( v )
  {
    this.getPicker();
    if ( Ext.isDate( v ) )
    {
      v = this.getInitDate( v.getHours(), v.getMinutes(), v.getSeconds(), v.getMilliseconds() );
    }
    return this.callSuper( [ v ] );
  }
} );
