/*
 * Tooltip in title support for grid panels.
 * Inspired by http://www.sencha.com/forum/showthread.php?19301
 */
Ext.define( 'QDesk.overrides.grid.Panel', {
  override : 'Ext.grid.Panel',

  afterRender : function ()
  {
    var title = null;
    if ( this.tooltip )
    {
      title = this._findTitle( this, 'div.x-panel > .x-panel-header .x-panel-header-title div.x-title-text' );
      this._maybeAddToolTipToTitle( title, this.tooltip );
    }

    this.callSuper();
  },

  _findTitle : function ( panel, selector )
  {
    var matchedEls = panel.getEl().select( selector );
    if ( matchedEls )
    {
      var matchedLabelEls = matchedEls.child( 'div' );
      // we need to get the first matched div
      return matchedLabelEls ? matchedLabelEls.first() : null;
    }
    return null;
  },

  _maybeAddToolTipToTitle : function ( title, tooltipText )
  {
    if ( title )
    {
      title.createChild( {
        tag : 'img',
        src : 'images/icon/tooltip-10x10.png',
        style : 'margin-bottom: -1px; margin-left: 5px; padding: 0px; width: 10px; height: 10px;',
        'data-qtip' : Ext.htmlEncode( tooltipText )
      } );
    }
  }
} );
