/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.audit.AuditTrailEntryStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.model.audit.AuditTrailEntry',

    'QDesk.util.constant.ActionUrl'
  ],

  model : 'QDesk.model.audit.AuditTrailEntry',

  /* Server-side filtering */
  remoteFilter : true,

  /* Server-side sorting */
  remoteSort : true,

  /* Initial sort */
  sorters : [
    {
      property : 'createdAt',
      direction : 'DESC'
    }
  ],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      proxy : {
        type : 'ajax',

        url : QDesk.util.constant.ActionUrl.emptyStoreAction,

        reader : {
          type : 'json',
          rootProperty : 'data',
          successProperty : 'success',
          idProperty : 'generatedId',
          totalProperty : 'total'
        },

        /* Disables paging */
        pageParam : undefined,
        startParam : undefined,
        limitParam : undefined
      }
    } );

    me.callParent( [ config ] );
  }
} );
