/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.HttpProxyTypeStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.Msg',

    'QDesk.model.message.channel.HttpProxyType',

    'QDesk.util.EnumUtils'
  ],

  storeId : 'enums.HttpProxyTypeStore',

  fields : [ 'value', 'valueLabel' ],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : '',
          valueLabel : QDesk.Msg.get( 'QDesk.none' )
        },
        {
          value : QDesk.model.message.channel.HttpProxyType.HTTP,
          valueLabel : QDesk.util.EnumUtils.getHttpProxyTypeName( QDesk.model.message.channel.HttpProxyType.HTTP )
        },
        {
          value : QDesk.model.message.channel.HttpProxyType.HTTPS,
          valueLabel : QDesk.util.EnumUtils.getHttpProxyTypeName( QDesk.model.message.channel.HttpProxyType.HTTPS )
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );