/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.JsLoggingLevelStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.model.gui.JsLoggingLevel',

    'QDesk.util.EnumUtils'
  ],

  storeId : 'enums.JsLoggingLevelStore',

  fields : [ 'value', 'valueLabel' ],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : QDesk.model.gui.JsLoggingLevel.NONE,
          valueLabel : QDesk.util.EnumUtils.getJsLoggingLevelName( QDesk.model.gui.JsLoggingLevel.NONE )
        },
        {
          value : QDesk.model.gui.JsLoggingLevel.DEBUG,
          valueLabel : QDesk.util.EnumUtils.getJsLoggingLevelName( QDesk.model.gui.JsLoggingLevel.DEBUG )
        },
        {
          value : QDesk.model.gui.JsLoggingLevel.INFO,
          valueLabel : QDesk.util.EnumUtils.getJsLoggingLevelName( QDesk.model.gui.JsLoggingLevel.INFO )
        },
        {
          value : QDesk.model.gui.JsLoggingLevel.WARN,
          valueLabel : QDesk.util.EnumUtils.getJsLoggingLevelName( QDesk.model.gui.JsLoggingLevel.WARN )
        },
        {
          value : QDesk.model.gui.JsLoggingLevel.ERROR,
          valueLabel : QDesk.util.EnumUtils.getJsLoggingLevelName( QDesk.model.gui.JsLoggingLevel.ERROR )
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );