/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.NotificationSeverityStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.model.scheduler.NotificationSeverity',

    'QDesk.util.EnumUtils'
  ],

  storeId : 'enums.NotificationSeverityStore',

  fields : [ 'value', 'valueLabel' ],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : QDesk.model.scheduler.NotificationSeverity.INFO,
          valueLabel : QDesk.util.EnumUtils.getNotificationSeverityName(
              QDesk.model.scheduler.NotificationSeverity.INFO )
        },
        {
          value : QDesk.model.scheduler.NotificationSeverity.WARNING,
          valueLabel : QDesk.util.EnumUtils.getNotificationSeverityName(
              QDesk.model.scheduler.NotificationSeverity.WARNING )
        },
        {
          value : QDesk.model.scheduler.NotificationSeverity.ERROR,
          valueLabel : QDesk.util.EnumUtils.getNotificationSeverityName(
              QDesk.model.scheduler.NotificationSeverity.ERROR )
        },
        {
          value : QDesk.model.scheduler.NotificationSeverity.FATAL,
          valueLabel : QDesk.util.EnumUtils.getNotificationSeverityName(
              QDesk.model.scheduler.NotificationSeverity.FATAL )
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );