/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.SnmpV3AuthenticationProtocolStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.Msg',

    'QDesk.model.message.channel.snmp.SnmpV3AuthenticationProtocol',

    'QDesk.util.EnumUtils'
  ],

  storeId : 'enums.SnmpV3AuthenticationProtocolStore',

  fields : [ 'value', 'valueLabel' ],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : QDesk.model.message.channel.snmp.SnmpV3AuthenticationProtocol.MD5,
          valueLabel : QDesk.util.EnumUtils.getSnmpV3AuthenticationProtocolName(
              QDesk.model.message.channel.snmp.SnmpV3AuthenticationProtocol.MD5 )
        },
        {
          value : QDesk.model.message.channel.snmp.SnmpV3AuthenticationProtocol.SHA,
          valueLabel : QDesk.util.EnumUtils.getSnmpV3AuthenticationProtocolName(
              QDesk.model.message.channel.snmp.SnmpV3AuthenticationProtocol.SHA )
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );