/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.SnmpV3SecurityLevelStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.Msg',

    'QDesk.model.message.channel.snmp.SnmpV3SecurityLevel',

    'QDesk.util.EnumUtils'
  ],

  storeId : 'enums.SnmpV3SecurityLevelStore',

  fields : [ 'value', 'valueLabel' ],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : QDesk.model.message.channel.snmp.SnmpV3SecurityLevel.NO_AUTH_NO_PRIV,
          valueLabel : QDesk.util.EnumUtils.getSnmpV3SecurityLevelName(
              QDesk.model.message.channel.snmp.SnmpV3SecurityLevel.NO_AUTH_NO_PRIV )
        },
        {
          value : QDesk.model.message.channel.snmp.SnmpV3SecurityLevel.AUTH_NO_PRIV,
          valueLabel : QDesk.util.EnumUtils.getSnmpV3SecurityLevelName(
              QDesk.model.message.channel.snmp.SnmpV3SecurityLevel.AUTH_NO_PRIV )
        },
        {
          value : QDesk.model.message.channel.snmp.SnmpV3SecurityLevel.AUTH_PRIV,
          valueLabel : QDesk.util.EnumUtils.getSnmpV3SecurityLevelName(
              QDesk.model.message.channel.snmp.SnmpV3SecurityLevel.AUTH_PRIV )
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );