/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.scheduler.quartz.QuartzExecHistoryExportColumnStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn',
    'QDesk.util.quartz.QuartzEnumUtils'
  ],

  storeId : 'enums.scheduler.quartz.QuartzExecHistoryExportColumnStore',

  fields : [ 'value', 'valueLabel' ],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.ID,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.ID )
        },

        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.STARTED_AT,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.STARTED_AT )
        },

        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.FINISHED_AT,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.FINISHED_AT )
        },

        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.DURATION,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.DURATION )
        },

        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.EXEC_STATUS,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.EXEC_STATUS )
        },

        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.SCHEDULER_NAME,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.SCHEDULER_NAME )
        },
        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.SCHEDULER_INSTANCE_ID,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.SCHEDULER_INSTANCE_ID )
        },
        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.SCHEDULER_OBJECT_NAME,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.SCHEDULER_OBJECT_NAME )
        },
        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.SCHEDULER_VERSION,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.SCHEDULER_VERSION )
        },

        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.JOB_GROUP_NAME,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.JOB_GROUP_NAME )
        },
        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.JOB_NAME,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.JOB_NAME )
        },
        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.JOB_CLASS_NAME,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.JOB_CLASS_NAME )
        },
        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.JOB_CLASS_LOCATION,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.JOB_CLASS_LOCATION )
        },
        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.JOB_DATA_MAP,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.JOB_DATA_MAP )
        },

        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.TRIGGER_GROUP_NAME,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.THREAD_GROUP_NAME )
        },
        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.TRIGGER_NAME,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.TRIGGER_NAME )
        },

        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.CALENDAR_NAME,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.CALENDAR_NAME )
        },

        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.RESULT_URL,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.RESULT_URL )
        },

        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.ERROR,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.ERROR )
        },

        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.USER_DATA_URL,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.USER_DATA_URL )
        },

        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.LOG_URL,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.LOG_URL )
        },

        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.THREAD_GROUP_NAME,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.THREAD_GROUP_NAME )
        },
        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.THREAD_NAME,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.THREAD_NAME )
        },
        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.THREAD_PRIORITY,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.THREAD_PRIORITY )
        },

        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.HOST_NAME,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.HOST_NAME )
        },

        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.JVM_PID,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.JVM_PID )
        },
        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.JVM_NAME,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.JVM_NAME )
        },
        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.JVM_VENDOR,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.JVM_VENDOR )
        },
        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.JVM_VERSION,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.JVM_VERSION )
        },
        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.JVM_RUNTIME_VERSION,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.JVM_RUNTIME_VERSION )
        },

        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.OS_NAME,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.OS_NAME )
        },
        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.OS_VERSION,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.OS_VERSION )
        },
        {
          value : QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.OS_ARCH,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getExecHistoryExportColumnName(
              QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn.OS_ARCH )
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );
