/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore', {
  extend : 'Ext.data.TreeStore',

  requires : [
    'QDesk.Msg',

    'QDesk.model.gui.JSScriptingTreeNode'
  ],

  model : 'QDesk.model.gui.JSScriptingTreeNode',

  defaultRootText : '',

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    var root = {
      children : [
        /* ExecHistory record */
        {
          propertyName : 'execHistory',
          propertyType : 'Object',
          description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.execHistory' ),
          leaf : true
        },


        /* Preceding ExecHistory record */
        {
          propertyName : 'precedingExecHistory',
          propertyType : 'Object',
          description : QDesk.Msg.get(
              'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.precedingExecHistory' ),
          leaf : true
        },


        {
          propertyName : 'Log',
          propertyType : 'Object',
          description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Log' ),
          leaf : false,
          children : [
            {
              propertyName : 'trace',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Log.trace' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Log.trace.arguments' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'debug',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Log.debug' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Log.debug.arguments' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'info',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Log.info' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Log.info.arguments' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'warn',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Log.warn' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Log.warn.arguments' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'error',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Log.error' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Log.error.arguments' ),
                  leaf : true
                }
              ]
            }
          ]
        },


        {
          propertyName : 'Utils',
          propertyType : 'Object',
          description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Utils' ),
          leaf : false,
          children : [
            {
              propertyName : 'dump',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Utils.dump' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Utils.dump.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Utils.dump.returns' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'delay',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Utils.delay' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Utils.delay.arguments' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'randomDelay',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Utils.randomDelay' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Utils.randomDelay.arguments' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'sync',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Utils.sync' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Utils.sync.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.Utils.sync.returns' ),
                  leaf : true
                }
              ]
            }
          ]
        },


        {
          propertyName : 'QuartzService',
          propertyType : 'Object',
          description : QDesk.Msg.get(
              'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzService' ),
          leaf : false,
          children : [
            {
              propertyName : 'getAllCurrentlyExecutingJobInstances',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzService.getAllCurrentlyExecutingJobInstances' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzService.getAllCurrentlyExecutingJobInstances.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzService.getAllCurrentlyExecutingJobInstances.returns' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'getCurrentlyExecutingJobInstances',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzService.getCurrentlyExecutingJobInstances' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzService.getCurrentlyExecutingJobInstances.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzService.getCurrentlyExecutingJobInstances.returns' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'isJobCurrentlyExecuting',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzService.isJobCurrentlyExecuting' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzService.isJobCurrentlyExecuting.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzService.isJobCurrentlyExecuting.returns' ),
                  leaf : true
                }
              ]
            }
          ]
        },


        {
          propertyName : 'QuartzExecHistoryService',
          propertyType : 'Object',
          description : QDesk.Msg.get(
              'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService' ),
          leaf : false,
          children : [
            {
              propertyName : 'getHistoryForJob',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService.getHistoryForJob' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService.getHistoryForJob.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService.getHistoryForJob.returns' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'getHistoryForJobInFlow',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService.getHistoryForJobInFlow' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService.getHistoryForJobInFlow.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService.getHistoryForJobInFlow.returns' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'getHistoryForTrigger',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService.getHistoryForTrigger' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService.getHistoryForTrigger.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService.getHistoryForTrigger.returns' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'getHistoryForScheduler',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService.getHistoryForScheduler' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService.getHistoryForScheduler.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService.getHistoryForScheduler.returns' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'getResult',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService.getResult' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService.getResult.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService.getResult.returns' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'getUserData',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService.getUserData' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService.getUserData.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService.getUserData.returns' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'getLog',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService.getLog' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService.getLog.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecHistoryService.getLog.returns' ),
                  leaf : true
                }
              ]
            }
          ]
        },


        {
          propertyName : 'QuartzExecStatisticsService',
          propertyType : 'Object',
          description : QDesk.Msg.get(
              'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService' ),
          leaf : false,
          children : [
            {
              propertyName : 'getAvailableTimePeriods',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getAvailableTimePeriods' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getAvailableTimePeriods.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getAvailableTimePeriods.returns' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'getExecStatDataForJob',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getExecStatDataForJob' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getExecStatDataForJob.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getExecStatDataForJob.returns' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'getExecStatDataForTrigger',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getExecStatDataForTrigger' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getExecStatDataForTrigger.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getExecStatDataForTrigger.returns' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'getExecStatDataForScheduler',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getExecStatDataForScheduler' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getExecStatDataForScheduler.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getExecStatDataForScheduler.returns' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'getMostFrequentlyExecutedJobs',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getMostFrequentlyExecutedJobs' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getMostFrequentlyExecutedJobs.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getMostFrequentlyExecutedJobs.returns' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'getMostFrequentlyExecutedTriggers',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getMostFrequentlyExecutedTriggers' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getMostFrequentlyExecutedTriggers.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getMostFrequentlyExecutedTriggers.returns' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'getSlowestExecutedJobs',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getSlowestExecutedJobs' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getSlowestExecutedJobs.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getSlowestExecutedJobs.returns' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'getSlowestExecutedTriggers',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getSlowestExecutedTriggers' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getSlowestExecutedTriggers.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getSlowestExecutedTriggers.returns' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'getFastestExecutedJobs',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getFastestExecutedJobs' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getFastestExecutedJobs.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getFastestExecutedJobs.returns' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'getFastestExecutedTriggers',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getFastestExecutedTriggers' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getFastestExecutedTriggers.arguments' ),
                  leaf : true
                },
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzExecStatisticsService.getFastestExecutedTriggers.returns' ),
                  leaf : true
                }
              ]
            }
          ]
        },


        {
          propertyName : 'QuartzJobChainService',
          propertyType : 'Object',
          description : QDesk.Msg.get(
              'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzJobChainService' ),
          leaf : false,
          children : [
            {
              propertyName : 'getCurrentFlowId',
              propertyType : 'Function',
              description : QDesk.Msg.get(
                  'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzJobChainService.getCurrentFlowId' ),
              leaf : false,
              children : [
                {
                  description : QDesk.Msg.get(
                      'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsTreeStore.QuartzJobChainService.getCurrentFlowId.returns' ),
                  leaf : true
                }
              ]
            }
          ]
        }
      ]
    };

    Ext.apply( config, {
      root : root
    } );

    me.callParent( [ config ] );
  }
} )
;
