/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.scheduler.quartz.stats.QuartzJobStatisticsTypeStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.model.scheduler.quartz.stats.QuartzJobStatisticsType',
    'QDesk.util.quartz.QuartzEnumUtils'
  ],

  fields : [ 'value', 'valueLabel' ],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : QDesk.model.scheduler.quartz.stats.QuartzJobStatisticsType.JOB_EXEC_TIME,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getJobStatisticsTypeName(
              QDesk.model.scheduler.quartz.stats.QuartzJobStatisticsType.JOB_EXEC_TIME )
        },
        {
          value : QDesk.model.scheduler.quartz.stats.QuartzJobStatisticsType.JOB_EXEC_COUNT,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getJobStatisticsTypeName(
              QDesk.model.scheduler.quartz.stats.QuartzJobStatisticsType.JOB_EXEC_COUNT )
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );
