/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.lock.LockWindow', {
  extend : 'Ext.window.Window',

  requires : [
    'QDesk.view.lock.LockPanel'
  ],

  alias : 'widget.LockWindow',

  cls : 'lockWindow',

  modal : true,
  resizable : false,

  header : false,

  layout : 'fit',

  /*
   * Prevent closing the window using the ESC key.
   */
  onEsc : Ext.emptyFn,

  width : 600,


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    Ext.apply( config, {
      items : [
        {
          xtype : 'LockPanel',
          itemId : 'lockPanel',
          // top padding for the lock image
          padding : '80 0 0 0',
          qdesk : config.qdesk
        }
      ]
    } );

    delete config.qdesk;

    me.callParent( [ config ] );
  },


  initComponent : function ()
  {
    var me = this;
    me.callParent();
  },


  updateMessage : function ( msg )
  {
    var me = this;
    var messagePanel = me.down( '#lockPanel #message' );

    messagePanel.update( msg );
    messagePanel.setVisible( msg !== null )
  }
} );
