/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.security.ChangePasswordForm', {
  extend : 'QDesk.view.base.BaseFormPanel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.ChangePasswordForm',

  border : false,

  buttonAlign : 'center',

  fieldDefaults : {
    labelAlign : 'top'
  },

  defaultButton : 'changePasswordButton',


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      items : [
        {
          xtype : 'container',
          layout : {
            type : 'column'
          },
          items : [
            {
              xtype : 'displayfield',
              cls : 'passwordIconBig',
              margin : '50 0 0 0'
            },

            {
              xtype : 'container',
              columnWidth : 1,
              margin : '0 20 0 10',
              items : [
                {
                  xtype : 'textfield',
                  itemId : 'oldPassword',
                  name : 'oldPassword',
                  fieldLabel : QDesk.Msg.get( 'QDesk.view.security.ChangePasswordForm.fieldLabelOldPassword' ),
                  fieldTooltip : QDesk.Msg.get( 'QDesk.view.security.ChangePasswordForm.fieldTooltipOldPassword' ),
                  emptyText : QDesk.Msg.get( 'QDesk.view.security.ChangePasswordForm.fieldEmptyTxtOldPassword' ),
                  allowBlank : false,
                  inputType : 'password',
                  width : '100%'
                },
                {
                  xtype : 'textfield',
                  itemId : 'newPassword',
                  name : 'newPassword',
                  fieldLabel : QDesk.Msg.get( 'QDesk.view.security.ChangePasswordForm.fieldLabelNewPassword' ),
                  fieldTooltip : QDesk.Msg.get( 'QDesk.view.security.ChangePasswordForm.fieldTooltipNewPassword' ),
                  emptyText : QDesk.Msg.get( 'QDesk.view.security.ChangePasswordForm.fieldEmptyTxtNewPassword' ),
                  allowBlank : false,
                  inputType : 'password',
                  width : '100%'
                },

                {
                  xtype : 'textfield',
                  itemId : 'newPassword2',
                  name : 'newPassword2',
                  fieldLabel : QDesk.Msg.get( 'QDesk.view.security.ChangePasswordForm.fieldLabelNewPassword2' ),
                  fieldTooltip : QDesk.Msg.get( 'QDesk.view.security.ChangePasswordForm.fieldTooltipNewPassword2' ),
                  emptyText : QDesk.Msg.get( 'QDesk.view.security.ChangePasswordForm.fieldEmptyTxtNewPassword2' ),
                  allowBlank : false,
                  inputType : 'password',
                  width : '100%'
                }
              ]
            }
          ]
        }
      ],

      buttons : [
        {
          itemId : 'changePasswordButton',
          reference : 'changePasswordButton', /* required for the defaultButton to work */
          text : QDesk.Msg.get( 'QDesk.view.security.ChangePasswordForm.buttonLabelChangePassword' ),
          formBind : true
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );
