/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.ViewTextWindow', {
  extend : 'Ext.window.Window',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.ViewTextWindow',

  scrollable : true,

  modal : true,
  resizable : true,
  maximizable : true,

  width : 800,
  height : 500,

  minWidth : 800,
  minHeight : 500,

  layout : 'fit',

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      items : [
        {
          xtype : 'htmleditor',
          itemId : 'editor',
          enableAlignments : false,
          enableColors : false,
          enableFont : false,
          enableFontSize : false,
          enableFormat : false,
          enableLinks : false,
          enableLists : false,
          enableSourceEdit : false
        }
      ],

      dockedItems : [
        {
          xtype : 'toolbar',
          dock : 'bottom',
          ui : 'footer',
          defaults : {
            minWidth : 75
          },
          items : [
            {
              xtype : 'component',
              flex : 1
            },
            {
              xtype : 'button',
              itemId : 'closeButton',
              text : QDesk.Msg.get( 'QDesk.buttonLabelClose' )
            }
          ]
        }
      ]
    } );

    me.callParent( [ config ] );

    var editor = me.down( '#editor' );

    // hide empty toolbar
    editor.getToolbar().hide();
    editor.setReadOnly( true );

    me.down( '#closeButton' ).on( 'click', function ()
    {
      me.close();
    } );
  }
} );