/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.license.LicenseWindow', {
  extend : 'Ext.window.Window',

  requires : [
    'QDesk.Msg',
    'QDesk.view.work.license.LicenseFeaturesInfoTree',
    'QDesk.view.work.license.LicenseGeneralInfoTree'
  ],

  alias : 'widget.LicenseWindow',

  cls : 'licenseWindow',

  iconCls : 'windowIcon',

  modal : true,
  resizable : true,

  border : false,

  width : 450,
  minWidth : 450,

  height : 480,
  minHeight : 480,

  layout : 'fit',

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      title : QDesk.Msg.get( 'QDesk.view.work.license.LicenseWindow.titleLicenseWindow' ),

      items : [
        {
          xtype : 'tabpanel',
          itemId : 'licenseTabPanel',
          activeTab : 0,
          defaults : {
            layout : 'fit'
          },

          items : [
            {
              xtype : 'panel',
              itemId : 'generalInfoTab',
              title : QDesk.Msg.get( 'QDesk.view.work.license.LicenseWindow.titleGeneralInfoTab' ),
              closable : false,
              items : [
                {
                  xtype : 'LicenseGeneralInfoTree',
                  itemId : 'generalInfoTree'
                }
              ]
            },
            {
              xtype : 'panel',
              itemId : 'featuresInfoTab',
              title : QDesk.Msg.get( 'QDesk.view.work.license.LicenseWindow.titleFeaturesInfoTab' ),
              closable : false,
              items : [
                {
                  xtype : 'LicenseFeaturesInfoTree',
                  itemId : 'featuresInfoTree'
                }
              ]
            }
          ]
        }
      ],

      buttons : [
        {
          xtype : 'button',
          itemId : 'closeButton',
          text : QDesk.Msg.get( 'QDesk.buttonLabelClose' )
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );
