/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.message.channel.im.aim.AimBasicPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.ImAimBasicPanel',

  border : false,

  layout : 'anchor',

  defaults : {
    anchor : '100%',
    labelWidth : 80
  },

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      title : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.aim.AimBasicPanel.tabLabelBasic' ),

      items : [
        {
          xtype : 'textfield',
          itemId : 'username',
          name : 'username',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.aim.AimBasicPanel.fieldLabelUsername' ),
          fieldTooltip : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.aim.AimBasicPanel.fieldTooltipUsername' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.aim.AimBasicPanel.fieldEmptyTxtUsername' ),
          allowBlank : false,
          maxLength : 64,
          qdesk : {
            required : true
          }
        },
        {
          xtype : 'textfield',
          inputType : 'password',
          itemId : 'password',
          name : 'password',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.aim.AimBasicPanel.fieldLabelPassword' ),
          fieldTooltip : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.aim.AimBasicPanel.fieldTooltipPassword' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.aim.AimBasicPanel.fieldEmptyTxtPassword' ),
          allowBlank : false,
          maxLength : 64,
          qdesk : {
            required : true
          }
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );
