/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg',
    'QDesk.Properties',

    'QDesk.model.message.channel.incident_mgmt.OpsGeniePriority',

    'QDesk.util.EnumUtils'
  ],

  alias : 'widget.IncidentMgmtOpsGenieBasicPanel',

  border : false,

  layout : 'anchor',

  defaults : {
    anchor : '100%',
    labelWidth : 70
  },

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      title : QDesk.Msg.get(
          'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.tabLabelBasic' ),

      items : [
        {
          xtype : 'textfield',
          itemId : 'apiKey',
          name : 'apiKey',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldLabelApiKey' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldTooltipApiKey' ),
          emptyText : QDesk.Msg.get(
              'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldEmptyTxtApiKey' ),
          allowBlank : false,
          maxLength : 64,
          qdesk : {
            required : true
          }
        },

        // alert properties
        {
          xtype : 'fieldset',
          title : QDesk.Msg.get(
              'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldsetLabelAlertProperties' ),
          tooltip : QDesk.Msg.get(
              'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldsetTooltipAlertProperties' ),
          padding : '5 5 0 5',
          defaults : {
            anchor : '100%',
            labelWidth : 65
          },
          items : [
            {
              xtype : 'textfield',
              itemId : 'source',
              name : 'source',
              fieldLabel : QDesk.Msg.get(
                  'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldLabelSource' ),
              fieldTooltip : QDesk.Msg.get(
                  'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldTooltipSource' ),
              emptyText : QDesk.Msg.get(
                  'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldEmptyTxtSource' ),
              allowBlank : true,
              maxLength : 100,
              qdesk : {
                required : false
              }
            },

            {
              xtype : 'combo',
              itemId : 'priority',
              name : 'priority',
              fieldLabel : QDesk.Msg.get(
                  'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldLabelPriority' ),
              fieldTooltip : QDesk.Msg.get(
                  'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldTooltipPriority' ),
              emptyText : QDesk.Msg.get(
                  'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldEmptyTxtPriority' ),
              anchor : '60%',
              value : '',
              editable : false,
              forceSelection : true,
              queryMode : 'local',
              store : new Ext.data.ArrayStore( {
                fields : [
                  'value',
                  'valueLabel'
                ],
                data : [
                  [ QDesk.model.message.channel.incident_mgmt.OpsGeniePriority.P1,
                    QDesk.util.EnumUtils.getOpsGeniePriorityName(
                        QDesk.model.message.channel.incident_mgmt.OpsGeniePriority.P1 ) ],
                  [ QDesk.model.message.channel.incident_mgmt.OpsGeniePriority.P2,
                    QDesk.util.EnumUtils.getOpsGeniePriorityName(
                        QDesk.model.message.channel.incident_mgmt.OpsGeniePriority.P2 ) ],
                  [ QDesk.model.message.channel.incident_mgmt.OpsGeniePriority.P3,
                    QDesk.util.EnumUtils.getOpsGeniePriorityName(
                        QDesk.model.message.channel.incident_mgmt.OpsGeniePriority.P3 ) ],
                  [ QDesk.model.message.channel.incident_mgmt.OpsGeniePriority.P4,
                    QDesk.util.EnumUtils.getOpsGeniePriorityName(
                        QDesk.model.message.channel.incident_mgmt.OpsGeniePriority.P4 ) ],
                  [ QDesk.model.message.channel.incident_mgmt.OpsGeniePriority.P5,
                    QDesk.util.EnumUtils.getOpsGeniePriorityName(
                        QDesk.model.message.channel.incident_mgmt.OpsGeniePriority.P5 ) ]
                ]
              } ),
              valueField : 'value',
              displayField : 'valueLabel',
              allowBlank : false,
              maxLength : 2,
              qdesk : {
                required : true
              }
            },

            {
              xtype : 'textfield',
              itemId : 'entity',
              name : 'entity',
              fieldLabel : QDesk.Msg.get(
                  'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldLabelEntity' ),
              fieldTooltip : QDesk.Msg.get(
                  'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldTooltipEntity' ),
              emptyText : QDesk.Msg.get(
                  'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldEmptyTxtEntity' ),
              allowBlank : true,
              maxLength : 512,
              qdesk : {
                required : false
              }
            },

            {
              xtype : 'tagfield',
              itemId : 'tag',
              name : 'tag',
              fieldLabel : QDesk.Msg.get(
                  'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldLabelTag' ),
              fieldTooltip : QDesk.Msg.get(
                  'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldTooltipTag' ),
              emptyText : QDesk.Msg.get(
                  'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldEmptyTxtTag' ),
              store : new Ext.data.ArrayStore( {
                fields : [
                  'value'
                ],
                data : []
              } ),
              displayField : 'value',
              valueField : 'value',
              createNewOnEnter : true,
              createNewOnBlur : true,
              forceSelection : false,
              queryMode : 'local',
              expand : Ext.emptyFn,
              hideTrigger : true,
              grow : true,
              growMax : 110,

              allowBlank : true,
              validator : function ( v )
              {
                var valueArray = this.getValue();
                if ( !Ext.isEmpty( valueArray ) )
                {
                  // check the number of tags in the list
                  if ( valueArray.length > 20 )
                  {
                    return QDesk.Msg.get(
                        'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldValidationMaxTagCountExceededTag' );
                  }

                  // check the length of individual tags
                  var maxTagLengthExceeded = false;
                  Ext.each( valueArray, function ( value )
                  {
                    if ( value.length > 50 )
                    {
                      maxTagLengthExceeded = true;
                      return false;
                    }
                  } );

                  if ( maxTagLengthExceeded )
                  {
                    return QDesk.Msg.get(
                        'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldValidationMaxTagLengthExceededAction' );
                  }
                }
                return true;
              },
              qdesk : {
                required : false
              }
            },

            {
              xtype : 'tagfield',
              itemId : 'action',
              name : 'action',
              fieldLabel : QDesk.Msg.get(
                  'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldLabelAction' ),
              fieldTooltip : QDesk.Msg.get(
                  'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldTooltipAction' ),
              emptyText : QDesk.Msg.get(
                  'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldEmptyTxtAction' ),
              store : new Ext.data.ArrayStore( {
                fields : [
                  'value'
                ],
                data : []
              } ),
              displayField : 'value',
              valueField : 'value',
              createNewOnEnter : true,
              createNewOnBlur : true,
              forceSelection : false,
              queryMode : 'local',
              expand : Ext.emptyFn,
              hideTrigger : true,
              grow : true,
              growMax : 110,

              allowBlank : true,
              validator : function ( v )
              {
                var valueArray = this.getValue();
                if ( !Ext.isEmpty( valueArray ) )
                {
                  // check the number of actions in the list
                  if ( valueArray.length > 10 )
                  {
                    return QDesk.Msg.get(
                        'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldValidationMaxActionCountExceededAction' );
                  }

                  // check the length of individual actions
                  var maxActionLengthExceeded = false;
                  Ext.each( valueArray, function ( value )
                  {
                    if ( value.length > 50 )
                    {
                      maxActionLengthExceeded = true;
                      return false;
                    }
                  } );

                  if ( maxActionLengthExceeded )
                  {
                    return QDesk.Msg.get(
                        'QDesk.view.work.message.channel.incident_mgmt.opsgenie.OpsGenieBasicPanel.fieldValidationMaxActionLengthExceededAction' );
                  }
                }
                return true;
              },
              qdesk : {
                required : false
              }
            }
          ]
        }
      ]
    } );

    me.callParent( [ config ] );
  },


  initComponent : function ()
  {
    var me = this;

    me.callParent();

    // set default alert priority
    var priorityCombo = me.down( '#priority' );
    priorityCombo.setValue( QDesk.model.message.channel.incident_mgmt.OpsGeniePriority.P3 );
  }
} );
