/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.message.channel.sms.clockwork.ClockworkBasicPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg',
    'QDesk.Properties'
  ],

  alias : 'widget.ClockworkBasicPanel',

  border : false,

  layout : 'anchor',

  defaults : {
    anchor : '100%',
    labelWidth : 70
  },

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      title : QDesk.Msg.get(
          'QDesk.view.work.message.channel.sms.clockwork.ClockworkBasicPanel.tabLabelBasic' ),

      items : [
        {
          xtype : 'textfield',
          itemId : 'apiKey',
          name : 'apiKey',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.clockwork.ClockworkBasicPanel.fieldLabelApiKey' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.clockwork.ClockworkBasicPanel.fieldTooltipApiKey' ),
          emptyText : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.clockwork.ClockworkBasicPanel.fieldEmptyTxtApiKey' ),
          allowBlank : false,
          maxLength : 64,
          qdesk : {
            required : true
          }
        },

        {
          xtype : 'textfield',
          itemId : 'from',
          name : 'from',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.clockwork.ClockworkBasicPanel.fieldLabelFrom' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.clockwork.ClockworkBasicPanel.fieldTooltipFrom' ),
          emptyText : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.clockwork.ClockworkBasicPanel.fieldEmptyTxtFrom' ),
          allowBlank : true,
          maxLength : 64,
          qdesk : {
            required : false
          }
        },

        {
          xtype : 'checkboxfield',
          itemId : 'longMessagesEnabled',
          name : 'longMessagesEnabled',
          boxLabel : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.clockwork.ClockworkBasicPanel.boxLabelLongMessagesEnabled' ),
          boxTooltip : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.clockwork.ClockworkBasicPanel.boxTooltipLongMessagesEnabled' ),
          value : false
        },

        {
          xtype : 'checkboxfield',
          itemId : 'messageTruncatingEnabled',
          name : 'messageTruncatingEnabled',
          boxLabel : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.clockwork.ClockworkBasicPanel.boxLabelMessageTruncatingEnabled' ),
          boxTooltip : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.clockwork.ClockworkBasicPanel.boxTooltipMessageTruncatingEnabled' ),
          value : false
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );
