/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.message.channel.sms.nexmo.NexmoBasicPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg',
    'QDesk.Properties'
  ],

  alias : 'widget.NexmoBasicPanel',

  border : false,

  layout : 'anchor',

  defaults : {
    anchor : '100%',
    labelWidth : 80
  },

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      title : QDesk.Msg.get(
          'QDesk.view.work.message.channel.sms.nexmo.NexmoBasicPanel.tabLabelBasic' ),

      items : [
        {
          xtype : 'textfield',
          itemId : 'apiKey',
          name : 'apiKey',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.nexmo.NexmoBasicPanel.fieldLabelApiKey' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.nexmo.NexmoBasicPanel.fieldTooltipApiKey' ),
          emptyText : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.nexmo.NexmoBasicPanel.fieldEmptyTxtApiKey' ),
          allowBlank : false,
          maxLength : 64,
          qdesk : {
            required : true
          }
        },

        {
          xtype : 'textfield',
          itemId : 'apiSecret',
          name : 'apiSecret',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.nexmo.NexmoBasicPanel.fieldLabelApiSecret' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.nexmo.NexmoBasicPanel.fieldTooltipApiSecret' ),
          emptyText : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.nexmo.NexmoBasicPanel.fieldEmptyTxtApiSecret' ),
          allowBlank : false,
          maxLength : 64,
          qdesk : {
            required : true
          }
        },

        {
          xtype : 'textfield',
          itemId : 'from',
          name : 'from',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.nexmo.NexmoBasicPanel.fieldLabelFrom' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.nexmo.NexmoBasicPanel.fieldTooltipFrom' ),
          emptyText : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.nexmo.NexmoBasicPanel.fieldEmptyTxtFrom' ),
          allowBlank : false,
          maxLength : 11,
          qdesk : {
            required : true
          }
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );
