/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.message.channel.sms.twilio.TwilioBasicPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg',
    'QDesk.Properties'
  ],

  alias : 'widget.TwilioBasicPanel',

  border : false,

  layout : 'anchor',

  defaults : {
    anchor : '100%',
    labelWidth : 90
  },

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      title : QDesk.Msg.get(
          'QDesk.view.work.message.channel.sms.twilio.TwilioBasicPanel.tabLabelBasic' ),

      items : [
        {
          xtype : 'textfield',
          itemId : 'accountSid',
          name : 'accountSid',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.twilio.TwilioBasicPanel.fieldLabelAccountSid' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.twilio.TwilioBasicPanel.fieldTooltipAccountSid' ),
          emptyText : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.twilio.TwilioBasicPanel.fieldEmptyTxtAccountSid' ),
          allowBlank : false,
          maxLength : 64,
          qdesk : {
            required : true
          }
        },

        {
          xtype : 'textfield',
          itemId : 'authToken',
          name : 'authToken',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.twilio.TwilioBasicPanel.fieldLabelAuthToken' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.twilio.TwilioBasicPanel.fieldTooltipAuthToken' ),
          emptyText : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.twilio.TwilioBasicPanel.fieldEmptyTxtAuthToken' ),
          allowBlank : false,
          maxLength : 64,
          qdesk : {
            required : true
          }
        },

        {
          xtype : 'textfield',
          itemId : 'from',
          name : 'from',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.twilio.TwilioBasicPanel.fieldLabelFrom' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.twilio.TwilioBasicPanel.fieldTooltipFrom' ),
          emptyText : QDesk.Msg.get(
              'QDesk.view.work.message.channel.sms.twilio.TwilioBasicPanel.fieldEmptyTxtFrom' ),
          allowBlank : true,
          maxLength : 64,
          qdesk : {
            required : false
          }
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );
