/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Base class for all scheduler-related tabbed panels.
 */
Ext.define( 'QDesk.view.work.scheduler.BaseSchedulerXTabPanel', {
  extend : 'QDesk.view.widget.tab.XTabPanel',

  closable : 'true',

  qdesk : {
    /*
     * Required config parameter with the {@link QDesk.ConnectionContext} instance.
     */
    connectionCtx : undefined
  },


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    if ( !config.qdesk.connectionCtx )
      Ext.Error.raise( 'Required config parameter missing: qdesk.connectionCtx' );

    me.callParent( [ config ] );
  },


  /**
   * Returns the {@link QDesk.ConnectionContext} instance associated with this tab panel.
   * @return the {@link QDesk.ConnectionContext} instance.
   */
  getConnectionCtx : function ()
  {
    return this.qdesk.connectionCtx;
  }
} );
