/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockForm', {
  extend : 'QDesk.view.base.BaseFormPanel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.ThreadInfoLockForm',

  border : false,

  // cls : 'threadInfoLockForm',
  // bodyCls : 'threadInfoLockFormBody',

  fieldDefaults : {
    labelWidth : 130
  },

  scrollable : true,


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    var items = [];

    items.push(
        {
          xtype : 'InfoMessagePanel',
          hidden : true,
          qdesk : {
            msg : QDesk.Msg.get( 'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockForm.msgNoLock' )
          }
        },
        {
          xtype : 'container',
          itemId : 'displayFields',
          hidden : true,
          items : [
            {
              xtype : 'displayfield',
              itemId : 'lockName',
              fieldLabel : QDesk.Msg.get(
                  'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockForm.fieldLabelLockName' ),
              fieldTooltip : QDesk.Msg.get(
                  'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockForm.fieldTooltipLockName' )
            },
            {
              xtype : 'displayfield',
              itemId : 'className',
              fieldLabel : QDesk.Msg.get(
                  'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockForm.fieldLabelClassName' ),
              fieldTooltip : QDesk.Msg.get(
                  'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockForm.fieldTooltipClassName' )
            },
            {
              xtype : 'displayfield',
              itemId : 'identityHashCode',
              fieldLabel : QDesk.Msg.get(
                  'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockForm.fieldLabelIdentityHashCode' ),
              fieldTooltip : QDesk.Msg.get(
                  'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockForm.fieldTooltipIdentityHashCode' )
            },

            {
              xtype : 'fieldset',
              itemId : 'lockOwnerFieldSet',
              title : QDesk.Msg.get( 'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockForm.fieldsetLabelLockOwner' ),
              padding : '0 10 0 10',
              defaults : {
                labelWidth : 80,
                anchor : '100%'
              },
              items : [
                {
                  xtype : 'displayfield',
                  itemId : 'lockOwnerId',
                  fieldLabel : QDesk.Msg.get(
                      'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockForm.fieldLabelLockOwnerId' ),
                  fieldTooltip : QDesk.Msg.get(
                      'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockForm.fieldTooltipLockOwnerId' )
                },
                {
                  xtype : 'displayfield',
                  itemId : 'lockOwnerName',
                  fieldLabel : QDesk.Msg.get(
                      'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockForm.fieldLabelLockOwnerName' ),
                  fieldTooltip : QDesk.Msg.get(
                      'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockForm.fieldTooltipLockOwnerName' )
                }
              ]
            }
          ]
        }
    );

    Ext.apply( config, {
      items : items
    } );

    me.callParent( [ config ] );
  }
} );
