/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockedMonitorsGrid', {
  extend : 'Ext.grid.Panel',

  requires : [
    'QDesk.Msg',

    'QDesk.util.FormatUtils'
  ],

  alias : 'widget.ThreadInfoLockedMonitorsGrid',

  // cls : 'threadInfoLockedMonitorsGrid',
  //iconCls : 'threadInfoLockedMonitorsGridIcon',

  viewConfig : {
    stripeRows : true
  },

  scrollable : true,


  initComponent : function ()
  {
    var me = this;

    Ext.apply( this, {
      columns : [
        {
          text : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockedMonitorsGrid.textLockedStackDepthColumn' ),
          tooltip : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockedMonitorsGrid.tooltipLockedStackDepthColumn' ),
          width : 125,
          hideable : false,
          sortable : false,
          dataIndex : 'lockedStackDepth'
        },
        {
          text : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockedMonitorsGrid.textLockedStackFrameColumn' ),
          tooltip : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockedMonitorsGrid.tooltipLockedStackFrameColumn' ),
          flex : 1,
          hideable : false,
          sortable : false,
          dataIndex : 'lockedStackFrame',
          renderer : function ( value )
          {
            return QDesk.util.FormatUtils.formatStackTrace( [ value ] );
          }
        }
      ]
    } );

    me.callParent();

    me.getStore().on( 'datachanged', function ( store )
    {
      var view = me.getView();

      if ( store.getCount() === 0 )
      {
        view.emptyText =
            QDesk.Msg.get(
                'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockedMonitorsGrid.emptyTextNoMatchingData' );

        view.refresh();
      }
    } );
  },


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    var store = Ext.create( 'Ext.data.Store', {
      fields : [ 'lockedStackDepth', 'lockedStackFrame' ],
      data : []
    } );

    Ext.apply( config, {
      store : store
    } );

    me.callParent( [ config ] );
  }
} )
;