/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockedSynchronizersGrid', {
  extend : 'Ext.grid.Panel',

  requires : [
    'QDesk.Msg',

    'QDesk.util.FormatUtils'
  ],

  alias : 'widget.ThreadInfoLockedSynchronizersGrid',

  // cls : 'ThreadInfoLockedSynchronizersGrid',
  //iconCls : 'ThreadInfoLockedSynchronizersGridIcon',

  viewConfig : {
    stripeRows : true
  },

  scrollable : true,


  initComponent : function ()
  {
    var me = this;

    Ext.apply( this, {
      columns : [
        {
          text : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockedSynchronizersGrid.textClassNameColumn' ),
          tooltip : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockedSynchronizersGrid.tooltipClassNameColumn' ),
          flex : 1,
          hideable : false,
          sortable : true,
          dataIndex : 'className'
        },
        {
          text : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockedSynchronizersGrid.textIdentityHashCodeColumn' ),
          tooltip : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockedSynchronizersGrid.tooltipIdentityHashCodeColumn' ),
          flex : 0.5,
          hideable : false,
          sortable : false,
          dataIndex : 'identityHashCode',
          renderer : function ( value )
          {
            return value + ' (' + QDesk.util.FormatUtils.formatNumberInHex( value ) + ')';
          }
        }
      ]
    } );

    me.callParent();

    me.getStore().on( 'datachanged', function ( store )
    {
      var view = me.getView();

      if ( store.getCount() === 0 )
      {
        view.emptyText =
            QDesk.Msg.get(
                'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockedSynchronizersGrid.emptyTextNoMatchingData' );

        view.refresh();
      }
    } );
  },


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    var store = Ext.create( 'Ext.data.Store', {
      fields : [ 'className', 'identityHashCode' ],
      data : []
    } );

    Ext.apply( config, {
      store : store
    } );

    me.callParent( [ config ] );
  }
} )
;