/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.scheduler.common.jvm.ThreadInfoWindow', {
  extend : 'Ext.window.Window',

  requires : [
    'QDesk.Msg',
    'QDesk.view.work.scheduler.common.jvm.ThreadInfoPanel'
  ],

  alias : 'widget.ThreadInfoWindow',

  cls : 'threadInfoWindow',
  iconCls : 'windowIcon',

  modal : true,
  resizable : true,

  width : 800,
  minWidth : 800,

  height : 500,
  minHeight : 500,

  layout : 'fit',

  qdesk : {
    /**
     * Required {@link QDesk.ConnectionContext} instance.
     */
    connectionCtx : undefined,

    /*
     * Job execution ID.
     */
    jobExecutionId : undefined
  },

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    if ( !config.qdesk.connectionCtx )
      Ext.Error.raise( 'Required config parameter missing: qdesk.connectionCtx' );

    if ( !config.qdesk.jobExecutionId )
      Ext.Error.raise( 'Required config parameter missing: qdesk.jobExecutionId' );

    Ext.apply( config, {
      title : QDesk.Msg.get( 'QDesk.view.work.scheduler.common.jvm.ThreadInfoWindow.windowTitle' ),
      items : [
        {
          xtype : 'ThreadInfoPanel',
          itemId : 'form',
          bodyPadding : 0,
          border : 0
          // qdesk : {
          //   connectionCtx : config.qdesk.connectionCtx
          // }
        }
      ]
    } );

    me.callParent( [ config ] );

    me.down( '#closeButton' ).on( 'click', function ()
    {
      me.close();
    } );

    me.down( '#refreshButton' ).on( 'click', function ()
    {
      me.fireEvent( 'refresh' );
    } );
  }
} );
