/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.security.users.EffectiveUserPermissionsWindow', {
  extend : 'Ext.window.Window',

  requires : [
    'QDesk.Msg',
    'QDesk.view.work.security.users.EffectiveUserPermissionsGrid'
  ],

  alias : 'widget.EffectiveUserPermissionsWindow',

  cls : 'effectiveUserPermissionsWindow',
  iconCls : 'windowIcon',

  scrollable : true,

  modal : true,
  resizable : true,
  maximizable : true,

  width : 400,
  height : 500,

  minWidth : 500,
  minHeight : 500,

  layout : 'fit',


  constructor : function ( config )
  {
    var me = this;

    Ext.apply( config, {
      title : QDesk.Msg.get( 'QDesk.view.work.security.users.EffectiveUserPermissionsWindow.title' ),
      items : [
        {
          xtype : 'EffectiveUserPermissionsGrid',
          itemId : 'effectiveUserPermissionsGrid'
        }
      ],

      dockedItems : [
        {
          xtype : 'toolbar',
          dock : 'bottom',
          ui : 'footer',
          defaults : {
            minWidth : 75
          },
          items : [
            {
              xtype : 'component',
              flex : 1
            },
            {
              xtype : 'button',
              itemId : 'closeButton',
              text : QDesk.Msg.get( 'QDesk.buttonLabelClose' )
            }
          ]
        }
      ]
    } );

    me.callParent( [ config ] );
  },


  initComponent : function ()
  {
    var me = this;

    me.callParent();

    me.down( '#closeButton' ).on( 'click', function ()
    {
      me.close();
    } );
  }
} );